Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158418 - SIGSEGV fault in ccsd after starting rgmanager
Summary: SIGSEGV fault in ccsd after starting rgmanager
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: ccs
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-22 04:09 UTC by Henry Harris
Modified: 2009-04-16 20:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-24 20:38:21 UTC


Attachments (Terms of Use)

Description Henry Harris 2005-05-22 04:09:06 UTC
Description of problem: This problem occurred after creating a new cluster.conf
file and then starting rgmanager.  Lon H. was on the phone with me helping me
work through some other issues when this occurred so he may remember better than
I do exactly what the sequence of events was.  I have e-mailed the
/var/log/messages output to Lon separately.


Version-Release number of selected component (if applicable):


How reproducible:
Only seen once.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jonathan Earl Brassow 2005-05-24 20:38:21 UTC
- fix segfault

# Seg fault could be achieved with:
$> ccsd; ccs_test get 0 //@name

While the code was checking if the desc was valid, it was not checking
if the desc block had been created.




Note You need to log in before you can comment on or make changes to this bug.